
close all hidden
close all force
clear all
format compact
warning off

Data = xlsread('data.xlsx');
fs = 50;% Hz

t = Data(:,1);
x1 = Data(:,2);

figure
plot(t,x1);
title('Time plot (x-t)')

figure
frq_scale = 30; % (1 to 48)  (default=10)
fbMorlet = cwtfilterbank('SignalLength',numel(x1),'SamplingFrequency',fs,...
    'Wavelet','amor','VoicesPerOctave',frq_scale);
[coefs,frequencies] = cwt(x1,'FilterBank',fbMorlet);
Step=25;
% figure
[x,y] = meshgrid(t(1:Step:end),frequencies);
z = (abs(coefs(:,1:Step:end)));
h = surf(x,y,z);
% lev=8
% win='db8'%windowing
[C,L]=wavedec(x1,8,'db8');
a8=appcoef(C,L,'db2',8);
% [c,l]= wavedec(SignalLength,lev,win)%1_D approximation Coefficients
% a8=wrcoef('a',c,l,win,lev);
figure
plot(a8)
xlabel('Time')
ylabel('Frequency')
zlabel('Amplitude CWT')
title('Amplitude-Frequency-Time plot')